Skip to main content
GET
/
api
/
contact-structure
/
{contactStructureId}
/
lists
Get paginated lists
curl --request GET \
  --url https://api-{region}-{cluster}.benchmarkemail.com/api/contact-structure/{contactStructureId}/lists \
  --header 'X-API-Key: <api-key>'
[
  {
    "__v": 123,
    "_id": "<string>",
    "createdAt": "<string>",
    "name": "<string>",
    "totalCampaigns": 123,
    "totalContacts": 123,
    "type": "<string>",
    "updatedAt": "<string>"
  }
]

Authorizations

X-API-Key
string
header
required

API key authentication

Path Parameters

contactStructureId
string<mongo-id>
required

Query Parameters

page
integer

page number

Required range: x >= 1
size
integer

page size

Required range: x >= 1
sort
string

Sorting parameter with the format 'field:direction'. Supported fields: name, createdAt, updatedAt.

Pattern: ^[a-zA-Z0-9_]+:(asc|desc)$
criteria
string

A string used to filter the search results. The maximum length is 50 characters.

Maximum string length: 50

Response

200 - application/json

Successful

__v
number
_id
string
createdAt
string
name
string
totalCampaigns
number
totalContacts
number
type
string
updatedAt
string